use crate::error::CustomError;

use super::registry::Registry;

/// Essentially a no-op since the comment is not rendered.
#[derive(Debug, Clone)]
pub(crate) struct IComment {}

impl IComment {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        comment: &'b organic::types::Comment<'parse>,
    ) -> Result<IComment, CustomError> {
        Ok(IComment {})
    }
}
