use crate::error::CustomError;

use super::registry::Registry;

/// Essentially a no-op since the keyword is not rendered and any relevant impact on other elements is pulled from the parsed form of keyword.
#[derive(Debug, Clone)]
pub(crate) struct IKeyword {}

impl IKeyword {
    pub(crate) async fn new<'b, 'parse>(
        registry: &'b mut Registry<'parse>,
        keyword: &'b organic::types::Keyword<'parse>,
    ) -> Result<IKeyword, CustomError> {
        Ok(IKeyword {})
    }
}
